/*
 * EKApplication
 * description: a generic object for managing app resources
 * history:
 *	5/13/93 [Erik Kay] - created
 *	5/15/93 [Erik Kay] - added sound and image preloading w/progress bar
 */

#import <appkit/appkit.h>

@interface EKApplication:Application
{
    id	infoManager;
    id	defaultsManager;
    id	soundManager;
    List *imageResources;
    List *soundResources;
    id	progressView;
    id	progressWindow;
}

// the various component managers
- defaultsManager;
- infoManager;
- soundManager;

// adding and loading resources
- addImageResource:(const char *)r;
- addSoundResource:(const char *)r;
- loadResources;

@end
