/*
 * EKDefaultsManager
 * description: a generic object for reading/writing/accessing defaults/prefs
 * history:
 *	5/19/93 [Erik Kay] - created
 *	5/23/93 [Erik Kay] - writing the defaults out
 */

#import <appkit/appkit.h>

@interface EKDefaultsManager:Object
{
    id prefsPanel;
    NXStringTable *defaultsTable;
}

// managing the prefs panel
- showPreferencesPanel:sender;
- loadPreferencesPanel;

// setting the defaults
- addDefault:(const char *)key;
- setDefault:(const char *)key value:(const char *)val;

// reading writing out the whole thing
- loadDefaults;
- writeDefaults;

// get the value for a default key
- (const char *)getDefault:(const char *)key;

@end
