/*
 * EKInfoManager
 * description: a generic object for having a spiffy info panel
 * history:
 *	5/10/93 [Erik Kay] - created
 *	5/20/93 [Erik Kay] - dissolve from author tiff to app tiff
 *	5/23/93 [Erik Kay] - added other animation effects:
 *			random, checker, circle, slide
 * bugs:
 *	this should be able to deal with multiple authors
 * todo:
 *	could always add a few more animation effects:
 *		barn door, 4 triangles, rectangle, etc.
 */

#import <appkit/appkit.h>

@interface EKInfoManager:Object
{
    id	infoPanel;
    id	iconButton;
    id	versionNumber;	// the text field in the info panel where the version
    			// number is displayed
    
    NXImage *authorTIFF;
    NXImage *appTIFF;
    NXImage *workTIFF;
    NXImage *currentImage;
    int	animationSteps;
    DPSTimedEntry te;
}

// loading and displaying the panel
- showInfoPanel:sender;
- loadInfoPanel:sender;

// action methods to do the tiff animation
- switchToAuthor:sender;
- switchToApp:sender;
- toggleButton:sender;

// the functions called by the timed entry
- animateToAuthor:(int)i;
- animateToApp:(int)i;
- finishAnimation;

// how many steps should the animation be done in
- (int)animationSteps;
- setAnimationSteps:(int)steps;

// the actual effects
- dissolveTo:image step:(int)i;
- slideTo:image step:(int)i;
- slideTo:image step:(int)i from:(int)direction;
- randomTo:image step:(int)i;
- checkerTo:image step:(int)i;
- circleTo:image step:(int)i;

@end
