/*
 * SplatApp
 * description: subclass of EKApplication - keeps track of the main UI
 *		components and application flow
 * history:
 *	5/1/93 [Erik Kay] - converted much of the SplatController to here
 *	6/8/93 [Erik Kay] - cleaned up some of the file opening code
 */

#import "EKApplication.h"

@interface SplatApp:EKApplication
{
    // outlets connecting to the various items on the "new game" panel
    id	player1TypePopup;
    id	player1NewGame;
    id	player1NewHuman;
    id	player1NewComputer;
    id	player1NewNetwork;
    id	player1CurrentView;
    id	player1CompPopup;
    id	player1HumanName;
    id	player1NetHostname;
    id	player1SearchDepth;
    
    id	player2TypePopup;
    id	player2NewGame;
    id	player2NewHuman;
    id	player2NewComputer;
    id	player2NewNetwork;
    id	player2CurrentView;
    id	player2CompPopup;
    id	player2HumanName;
    id	player2NetHostname;
    id	player2SearchDepth;

    id	newGamePanel;
    id	newGameOk;
    id	newGameCancel;
    id	miniSplatBoard;
    
    id	stategyList;

    // board loading
    NXBundle *boardBundle;

    // loadable computer strategies
    List *computerStrategies;
    
    List *games;
    id	currentGame;

}

- challenge:sender;

- initializePlayersForGame:g;
- newGame:sender;
- cancelNewGame:sender;
- setPlayer1Type:sender;
- setPlayer2Type:sender;

// opening files (boards, games, computer players)
- (BOOL)appAcceptsAnotherFile:sender;
- (int)app:sender openFile:(const char *)filename type:(const char *)aType;

- openBoard:sender;
- loadBoard:(const char *)path;

// load the computer strategies
- loadComputerStrategies;
- loadComputer:(const char *)name;

- startGame:sender;
- stopGame:sender;
- pauseGame:sender;

@end
