/*
 * SplatDefaults
 * description: a subclass of EKDefaultsManager for managing Splat prefs
 * history:
 *	5/20/93 [Erik Kay] - created
 *	6/3/93 [Erik Kay] - added SquareSize
 */

#import "EKDefaultsManager.h"

@interface SplatDefaults:EKDefaultsManager
{
    id	moveAnimationSwitch;
    id	playSoundsSwitch;
    id	boardView;
    id	playerNameField;
    id	boardBundle;
    
    BOOL doMoveAnimation;
    BOOL playSounds;
    int squareSize;
    char *boardFile;
    char boardPath[MAXPATHLEN];
    char *playerName;
}

- setMoveAnimation:sender;
- (BOOL)doMoveAnimation;
- setSoundEnabled:sender;
- (BOOL)playSounds;
- setSquareSize:(int)size;
- (int)squareSize;
- setDefaultPlayerName:sender;
- (char *)defaultPlayerName;
- (char *)boardPath;
- computeBoardPath;
- setBoardFile:sender;

@end
